Support » Plugin: Frontend Uploader » Fix to Broken wysiwyg editor in v1.3.2

  • Resolved msargenttrue

    (@msargenttrue)


    Hi,

    I have updated to WordPress 5.0.2 and Frontend Uploader 1.3.2. I noticed that in going from 1.3.1 to 1.3.2, the wysiwyg frontend editor no longer worked. So I downgraded the Frontend Uploader back to 1.3.1. On this version the wysiwyg editor issue is not a problem but Posts > Manage UGC comes up with the error: “Couldn’t find template file”.

    I went back to updating the Frontend Uploader to 1.3.2 and came up with a temporary hack to resolve the wysiwyg editor issue. This issue related to using a strict equal operator (===) instead of a loose operator (==).

    Within frontend-uploader.php, lines 943-944, I changed the following from this:

    // Render WYSIWYG textarea
    if ( ( isset( $this->settings['wysiwyg_enabled'] ) && 'on' === $this->settings['wysiwyg_enabled'] ) || $wysiwyg_enabled === true ) {

    to this:

    // Render WYSIWYG textarea
    if ( ( isset( $this->settings['wysiwyg_enabled'] ) && 'on' == $this->settings['wysiwyg_enabled'] ) || $wysiwyg_enabled == true ) {

    Can you apply these changes to the next version of the plugin so I don’t have to rely on this hack moving forward?

    Thanks,
    Mike S

Viewing 3 replies - 1 through 3 (of 3 total)
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Fix to Broken wysiwyg editor in v1.3.2’ is closed to new replies.